Développement Web Ruby
par Sylvain CLAUDEL

Derniers posts

openssl rvm ruby 1.8.7 ou ruby 1.9.2

Date d'édition 2010-09-28 à 12:37

Erreur : `require': no such file to load -- openssl

Pour résoudre cette erreur, il faut installer le package openssl avec rvm puis réinstaller ruby avec rvm. Pas de panique ça prend 3 lignes:

rvm package install openssl
rvm remove 1.8.7
rvm install 1.8.7 -C --with-openssl-dir=$HOME/.rvm/usr

Convertir plusieurs jpg en un pdf

Date d'édition 2010-09-24 à 14:18

Il faut imagemagick

sudo aptitude install imagemagick

Efficace et performant :

convert *.jpg test.pdf

Pensez à redimensionner vos jpeg avant !

Background auto-resize - Redimmentionnement automatique d'un background image

Date d'édition 2010-09-24 à 09:31

Bon tout est dans le titre.
Ce plugin jquery permet à votre background de s'adapter à la taille du navigateur (et donc de votre écran).

Tout se passe ici :
https://www.aaronvanderzwan.com/maximage/bg.php

Rails3 - can't find executable rails for railties-3.0.0 (Gem::Exception)

Date d'édition 2010-09-20 à 08:41

Vous pouvez résoudre cette erreur en faisant :

sudo gem install rails -v 3.0.0

Voilà c'est tout

Rails3 : Comment utiliser les helpers AJAX de rails2 avec jquery

Date d'édition 2010-09-17 à 14:31

Il faut réinstaller les helpers :

rails plugin install git://github.com/rails/prototype_legacy_helper

Installer jrails qui surcharge les helpers pour utiliser jquery Dans le gemfile

gem 'jrails'

Puis dans la console, pour installer les gems manquants

bundle install

Dans la vue il faut ajouter jquery 1.3.2 ou 1.4.2 et les button_to_remote et link_to_remote refonctionnent !

Développement ruby et geekeries - rivsc